List setup jobs
curl --request GET \
--url https://api.vollna.com/v1/auto-bidding/setups/{setupId}/jobs \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.vollna.com/v1/auto-bidding/setups/{setupId}/jobs"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.vollna.com/v1/auto-bidding/setups/{setupId}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"setup_id": 123,
"setup_name": "<string>",
"total_count": 123,
"count": 123,
"limit": 123,
"offset": 123,
"jobs": [
{
"id": 123,
"upwork_job_id": "<string>",
"project_id": 123,
"status": "<string>",
"status_title": "<string>",
"scheduled_at": "<string>",
"processed_at": "<string>",
"cover_letter_length": 123,
"has_answers": true,
"answers_count": 123,
"bid_amount": "<string>",
"error_message": "<string>",
"retry_count": 123,
"last_retry_at": "<string>",
"skip_reason": "<string>",
"is_ready_for_processing": true,
"upwork_proposal_id": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"error": "<string>"
}Auto Bidding
List setup jobs
Retrieve a list of jobs for a specific auto bidding setup with optional filters
GET
/
auto-bidding
/
setups
/
{setupId}
/
jobs
List setup jobs
Authorizations
API token for authentication
Path Parameters
The setup ID
Query Parameters
Filter jobs by status
Available options:
pending, processing, completed, failed, skipped If true, returns only future scheduled jobs
Maximum number of results to return
Required range:
1 <= x <= 1000Offset for pagination
Required range:
x >= 0Was this page helpful?
⌘I